Index: ip_icmp.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet/ip_icmp.c,v
retrieving revision 1.81
diff -u -p -r1.81 ip_icmp.c
--- ip_icmp.c	29 Oct 2003 05:40:07 -0000	1.81
+++ ip_icmp.c	12 Nov 2003 21:14:23 -0000
@@ -233,26 +233,33 @@ freeit:
 	m_freem(n);
 }
 
-static struct sockaddr_in icmpsrc = { sizeof (struct sockaddr_in), AF_INET };
-static struct sockaddr_in icmpdst = { sizeof (struct sockaddr_in), AF_INET };
-static struct sockaddr_in icmpgw = { sizeof (struct sockaddr_in), AF_INET };
-
 /*
  * Process a received ICMP message.
  */
 void
 icmp_input(m, off)
-	register struct mbuf *m;
+	struct mbuf *m;
 	int off;
 {
+	struct icmp *icp;
+	struct in_ifaddr *ia;
+	struct ip *ip = mtod(m, struct ip *);
+	struct sockaddr_in icmpsrc, icmpdst, icmpgw;
 	int hlen = off;
-	register struct icmp *icp;
-	register struct ip *ip = mtod(m, struct ip *);
 	int icmplen = ip->ip_len;
-	register int i;
-	struct in_ifaddr *ia;
+	int i, code;
 	void (*ctlfunc)(int, struct sockaddr *, void *);
-	int code;
+
+	/* Initialize */
+	bzero(&icmpsrc, sizeof(icmpsrc));
+	icmpsrc.sin_len = sizeof(struct sockaddr_in);
+	icmpsrc.sin_family = AF_INET;
+	bzero(&icmpdst, sizeof(icmpdst));
+	icmpdst.sin_len = sizeof(struct sockaddr_in);
+	icmpdst.sin_family = AF_INET;
+	bzero(&icmpgw, sizeof(icmpgw));
+	icmpgw.sin_len = sizeof(struct sockaddr_in);
+	icmpgw.sin_family = AF_INET;
 
 	/*
 	 * Locate icmp structure in mbuf, and check
